var app = {
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
        console.log('deviceready');
    },
    receivedEvent: function(id) {
        if( window.plugins && window.plugins.NativeAudio ) {
            var items = ['no1', 'no2', 'no3', 'no4', 'ok1', 'ok2', 'ok3', 'ok4', 'ok5', 'ok6'];
            for(var i=0; i<items.length; i++) {
                var asset = 'assets/' + items[i] + '.mp3';
                window.plugins.NativeAudio.preloadSimple(items[i], 
                                                         asset, 
                                                         function(msg){console.info(msg)}, 
                                                         function(msg){ console.error( 'Error: ' + msg ); });
            }
        }
    },
    play: function(drum) {
        document.getElementById(drum).classList.add('touched');
        window.plugins.NativeAudio.play(drum, 
                                        function(msg){console.info(msg), document.getElementById(drum).classList.remove('touched');},
                                        function(msg){ console.error( 'Error: ' + msg ); });
    }
};